Subject: Re: [PATCH v5] clone: set submodule.recurse=true if user enables feature.experimental flag

From: Junio C Hamano <[email-masked]>
Date: Fri, 13 Aug 2021 13:52:36 -0700

Emily Shaffer <[email-masked]> writes:

> Yeah, since writing my reply I was very helpfully reinformed on the
> convention around 'feature.experimental' by Jonathan N off-list. Thanks
> for being patient with me.

You may (or may not) have noticed it, but the entry for the topic in
the last "What's cooking" report pretends as if we have already
concensus that it is a good thing to do and be made default.  As it
seems to be valid use cases to have submodule.recurse not set to
true even when you have submodules (a clone of Rust Jonathan N uses
you mentioned in the other message, perhaps?), it probably does make
sense to initially make this opt-in and also keep opt-in, not as a
candidate for future default, but we'll see.

Thanks.